# curve.h File Reference

`#include <gdk/gdk.h>`
`#include <gtk/gtkdrawingarea.h>`

## Data Structures

struct | _StpuiCurve
struct | _StpuiCurveClass

## Defines

#define | STPUI_TYPE_CURVE (stpui_curve_get_type ())
#define | STPUI_CURVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))
#define | STPUI_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))
#define | STPUI_IS_CURVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))
#define | STPUI_IS_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))
#define | STPUI_CURVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

## Typedefs

typedef _StpuiCurve | StpuiCurve
typedef _StpuiCurveClass | StpuiCurveClass

## Enumerations

enum | StpuiCurveType { STPUI_CURVE_TYPE_LINEAR, STPUI_CURVE_TYPE_SPLINE, STPUI_CURVE_TYPE_FREE }

## Functions

GType | stpui_curve_get_type (void) G_GNUC_CONST
GtkWidget * | stpui_curve_new (void)
void | stpui_curve_reset (StpuiCurve *curve)
void | stpui_curve_set_gamma (StpuiCurve *curve, gfloat gamma_)
void | stpui_curve_set_range (StpuiCurve *curve, gfloat min_x, gfloat max_x, gfloat min_y, gfloat max_y)
void | stpui_curve_get_vector (StpuiCurve *curve, int veclen, gfloat vector[])
void | stpui_curve_set_vector (StpuiCurve *curve, int veclen, const gfloat vector[])
void | stpui_curve_set_curve_type (StpuiCurve *curve, StpuiCurveType type)

## Define Documentation

#define STPUI_CURVE | ( | obj |  | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))

#define STPUI_CURVE_CLASS | ( | klass |  | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))

#define STPUI_CURVE_GET_CLASS | ( | obj |  | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

#define STPUI_IS_CURVE | ( | obj |  | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))

#define STPUI_IS_CURVE_CLASS | ( | klass |  | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))

#define STPUI_TYPE_CURVE (stpui_curve_get_type ())

## Typedef Documentation

typedef struct _StpuiCurve StpuiCurve

typedef struct _StpuiCurveClass StpuiCurveClass

## Enumeration Type Documentation

enum StpuiCurveType

Enumerator:

  STPUI_CURVE_TYPE_LINEAR |
  STPUI_CURVE_TYPE_SPLINE |
  STPUI_CURVE_TYPE_FREE |

## Function Documentation

GType stpui_curve_get_type | ( | void |  | ) |

void stpui_curve_get_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | gfloat | vector[]
| ) |

GtkWidget* stpui_curve_new | ( | void |  | ) |

void stpui_curve_reset | ( | StpuiCurve * | curve | ) |

void stpui_curve_set_curve_type | ( | StpuiCurve * | curve,
|  | StpuiCurveType | type
| ) |

void stpui_curve_set_gamma | ( | StpuiCurve * | curve,
|  | gfloat | gamma_
| ) |

void stpui_curve_set_range | ( | StpuiCurve * | curve,
|  | gfloat | min_x,
|  | gfloat | max_x,
|  | gfloat | min_y,
|  | gfloat | max_y
| ) |

void stpui_curve_set_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | const gfloat | vector[]
| ) |